package yu_json

import "testing"

func TestSet(t *testing.T) {

	var json = `{"name":{"first":"Janet","last":"Prichard"},"age":47}`

	json = Set(json, "name.last", "Anderson")
	println(json)

	json = Set(json, "age.aaaaa", "Anderson")
	println(json)

	json = Set(json, "agse.0", 123)
	println(json)
	json = Set(json, "agse.10", 123)
	println(json)

}
